Mercurial > emacs
comparison configure @ 81294:c6ff99338f6b
Regenerate, and apply by hand super-special-shell-function-message-patch.
author | Glenn Morris <rgm@gnu.org> |
---|---|
date | Sat, 09 Jun 2007 22:31:59 +0000 |
parents | 84043bdb6f7d |
children | 0bb4d3dc37d5 cc587bfd19ca e9f94688a064 |
comparison
equal
deleted
inserted
replaced
81293:a4f9cc3b4ee7 | 81294:c6ff99338f6b |
---|---|
410 exitcode=1 | 410 exitcode=1 |
411 echo positional parameters were not saved. | 411 echo positional parameters were not saved. |
412 fi | 412 fi |
413 | 413 |
414 test \$exitcode = 0") || { | 414 test \$exitcode = 0") || { |
415 echo No shell found that supports shell functions. | 415 echo Please tell bug-autoconf@gnu.org about your system, |
416 echo Please tell autoconf@gnu.org about your system, | 416 echo including any error possibly output before this message. |
417 echo including any error possibly output before this | 417 echo This can help us improve future autoconf versions. |
418 echo message | 418 echo Configuration will now proceed without shell functions. |
419 } | 419 } |
420 | 420 |
421 | 421 |
422 | 422 |
423 as_lineno_1=$LINENO | 423 as_lineno_1=$LINENO |
1889 | 1889 |
1890 | 1890 |
1891 # Check whether --with-x-toolkit was given. | 1891 # Check whether --with-x-toolkit was given. |
1892 if test "${with_x_toolkit+set}" = set; then | 1892 if test "${with_x_toolkit+set}" = set; then |
1893 withval=$with_x_toolkit; case "${withval}" in | 1893 withval=$with_x_toolkit; case "${withval}" in |
1894 y | ye | yes ) val=athena ;; | 1894 y | ye | yes ) val=gtk ;; |
1895 n | no ) val=no ;; | 1895 n | no ) val=no ;; |
1896 l | lu | luc | luci | lucid ) val=lucid ;; | 1896 l | lu | luc | luci | lucid ) val=lucid ;; |
1897 a | at | ath | athe | athen | athena ) val=athena ;; | 1897 a | at | ath | athe | athen | athena ) val=athena ;; |
1898 m | mo | mot | moti | motif ) val=motif ;; | 1898 m | mo | mot | moti | motif ) val=motif ;; |
1899 g | gt | gtk ) val=gtk ;; | 1899 g | gt | gtk ) val=gtk ;; |
1900 * ) | 1900 * ) |
1901 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid\; | 1901 { { echo "$as_me:$LINENO: error: \`--with-x-toolkit=$withval' is invalid\; |
1902 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. | 1902 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. |
1903 Currently, \`yes', \`athena' and \`lucid' are synonyms." >&5 | 1903 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&5 |
1904 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid\; | 1904 echo "$as_me: error: \`--with-x-toolkit=$withval' is invalid\; |
1905 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. | 1905 this option's value should be \`yes', \`no', \`lucid', \`athena', \`motif' or \`gtk'. |
1906 Currently, \`yes', \`athena' and \`lucid' are synonyms." >&2;} | 1906 Currently, \`yes' and \`gtk', and \`athena' and \`lucid' are synonyms." >&2;} |
1907 { (exit 1); exit 1; }; } | 1907 { (exit 1); exit 1; }; } |
1908 ;; | 1908 ;; |
1909 esac | 1909 esac |
1910 with_x_toolkit=$val | 1910 with_x_toolkit=$val |
1911 | 1911 |
3000 NON_GNU_CPP=/usr/ccs/lib/cpp | 3000 NON_GNU_CPP=/usr/ccs/lib/cpp |
3001 RANLIB="ar -ts" | 3001 RANLIB="ar -ts" |
3002 ;; | 3002 ;; |
3003 *-sunos5* | *-solaris* ) | 3003 *-sunos5* | *-solaris* ) |
3004 opsys=sol2-6 | 3004 opsys=sol2-6 |
3005 ## FIXME: make this into a proper fix that checks the compiler type, | 3005 emacs_check_sunpro_c=yes |
3006 ## rather than relying on path. Or is /usr/ccs/lib/cpp a bad default now? | 3006 NON_GNU_CPP=/usr/ccs/lib/cpp |
3007 if [ "x$CC" = x/opt/SUNWspro/bin/cc ]; then | |
3008 ## -Xs prevents spurious whitespace. | |
3009 NON_GNU_CPP="/opt/SUNWspro/bin/cc -E -Xs" | |
3010 else | |
3011 NON_GNU_CPP=/usr/ccs/lib/cpp | |
3012 fi | |
3013 ;; | 3007 ;; |
3014 * ) opsys=bsd4-2 ;; | 3008 * ) opsys=bsd4-2 ;; |
3015 esac | 3009 esac |
3016 ## Watch out for a compiler that we know will not work. | 3010 ## Watch out for a compiler that we know will not work. |
3017 case "${canonical}" in | 3011 case "${canonical}" in |
4163 # On Suns, sometimes $CPP names a directory. | 4157 # On Suns, sometimes $CPP names a directory. |
4164 if test -n "$CPP" && test -d "$CPP"; then | 4158 if test -n "$CPP" && test -d "$CPP"; then |
4165 CPP= | 4159 CPP= |
4166 fi | 4160 fi |
4167 | 4161 |
4162 ## If not using gcc, and on Solaris, and no CPP specified, see if | |
4163 ## using a Sun compiler, which needs -Xs to prevent whitespace. | |
4164 if test x"$GCC" != xyes && test x"$emacs_check_sunpro_c" = xyes && \ | |
4165 test x"$CPP" = x; then | |
4166 { echo "$as_me:$LINENO: checking whether we are using a Sun C compiler" >&5 | |
4167 echo $ECHO_N "checking whether we are using a Sun C compiler... $ECHO_C" >&6; } | |
4168 | |
4169 if test "${emacs_cv_sunpro_c+set}" = set; then | |
4170 echo $ECHO_N "(cached) $ECHO_C" >&6 | |
4171 else | |
4172 cat >conftest.$ac_ext <<_ACEOF | |
4173 /* confdefs.h. */ | |
4174 _ACEOF | |
4175 cat confdefs.h >>conftest.$ac_ext | |
4176 cat >>conftest.$ac_ext <<_ACEOF | |
4177 /* end confdefs.h. */ | |
4178 | |
4179 int | |
4180 main () | |
4181 { | |
4182 #ifndef __SUNPRO_C | |
4183 fail; | |
4184 #endif | |
4185 | |
4186 ; | |
4187 return 0; | |
4188 } | |
4189 _ACEOF | |
4190 rm -f conftest.$ac_objext conftest$ac_exeext | |
4191 if { (ac_try="$ac_link" | |
4192 case "(($ac_try" in | |
4193 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
4194 *) ac_try_echo=$ac_try;; | |
4195 esac | |
4196 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
4197 (eval "$ac_link") 2>conftest.er1 | |
4198 ac_status=$? | |
4199 grep -v '^ *+' conftest.er1 >conftest.err | |
4200 rm -f conftest.er1 | |
4201 cat conftest.err >&5 | |
4202 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
4203 (exit $ac_status); } && { | |
4204 test -z "$ac_c_werror_flag" || | |
4205 test ! -s conftest.err | |
4206 } && test -s conftest$ac_exeext && | |
4207 $as_test_x conftest$ac_exeext; then | |
4208 emacs_cv_sunpro_c=yes | |
4209 else | |
4210 echo "$as_me: failed program was:" >&5 | |
4211 sed 's/^/| /' conftest.$ac_ext >&5 | |
4212 | |
4213 emacs_cv_sunpro_c=no | |
4214 fi | |
4215 | |
4216 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | |
4217 conftest$ac_exeext conftest.$ac_ext | |
4218 fi | |
4219 | |
4220 { echo "$as_me:$LINENO: result: $emacs_cv_sunpro_c" >&5 | |
4221 echo "${ECHO_T}$emacs_cv_sunpro_c" >&6; } | |
4222 | |
4223 if test x"$emacs_cv_sunpro_c" = xyes; then | |
4224 NON_GNU_CPP="$CC -E -Xs" | |
4225 fi | |
4226 fi | |
4227 | |
4168 #### Some systems specify a CPP to use unless we are using GCC. | 4228 #### Some systems specify a CPP to use unless we are using GCC. |
4169 #### Now that we know whether we are using GCC, we can decide whether | 4229 #### Now that we know whether we are using GCC, we can decide whether |
4170 #### to use that one. | 4230 #### to use that one. |
4171 if test "x$NON_GNU_CPP" != x && test x$GCC != xyes && test "x$CPP" = x | 4231 if test "x$NON_GNU_CPP" != x && test x$GCC != xyes && test "x$CPP" = x |
4172 then | 4232 then |
4189 | 4249 |
4190 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x | 4250 if test x$GCC = x && test "x$NON_GCC_TEST_OPTIONS" != x |
4191 then | 4251 then |
4192 CC="$CC $NON_GCC_TEST_OPTIONS" | 4252 CC="$CC $NON_GCC_TEST_OPTIONS" |
4193 fi | 4253 fi |
4194 | |
4195 | 4254 |
4196 ac_ext=c | 4255 ac_ext=c |
4197 ac_cpp='$CPP $CPPFLAGS' | 4256 ac_cpp='$CPP $CPPFLAGS' |
4198 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' | 4257 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' |
4199 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' | 4258 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' |
9507 athena | lucid ) USE_X_TOOLKIT=LUCID ;; | 9566 athena | lucid ) USE_X_TOOLKIT=LUCID ;; |
9508 motif ) USE_X_TOOLKIT=MOTIF ;; | 9567 motif ) USE_X_TOOLKIT=MOTIF ;; |
9509 gtk ) with_gtk=yes | 9568 gtk ) with_gtk=yes |
9510 USE_X_TOOLKIT=none ;; | 9569 USE_X_TOOLKIT=none ;; |
9511 no ) USE_X_TOOLKIT=none ;; | 9570 no ) USE_X_TOOLKIT=none ;; |
9512 * ) USE_X_TOOLKIT=maybe ;; | 9571 * ) |
9572 if test x"$with_gtk" = xyes; then | |
9573 USE_X_TOOLKIT=none | |
9574 else | |
9575 USE_X_TOOLKIT=maybe | |
9576 fi | |
9577 ;; | |
9513 esac | 9578 esac |
9514 ;; | 9579 ;; |
9515 mac | none ) | 9580 mac | none ) |
9516 HAVE_X_WINDOWS=no | 9581 HAVE_X_WINDOWS=no |
9517 HAVE_X11=no | 9582 HAVE_X11=no |
10942 | 11007 |
10943 HAVE_GTK=no | 11008 HAVE_GTK=no |
10944 if test "${with_gtk}" = "yes" && test "$USE_X_TOOLKIT" = "gtk"; then | 11009 if test "${with_gtk}" = "yes" && test "$USE_X_TOOLKIT" = "gtk"; then |
10945 USE_X_TOOLKIT=none | 11010 USE_X_TOOLKIT=none |
10946 fi | 11011 fi |
10947 if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk"; then | 11012 if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk" || \ |
11013 test "$USE_X_TOOLKIT" = "maybe"; then | |
10948 if test "$USE_X_TOOLKIT" != "none" && test "$USE_X_TOOLKIT" != "maybe"; then | 11014 if test "$USE_X_TOOLKIT" != "none" && test "$USE_X_TOOLKIT" != "maybe"; then |
10949 { { echo "$as_me:$LINENO: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&5 | 11015 { { echo "$as_me:$LINENO: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&5 |
10950 echo "$as_me: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&2;} | 11016 echo "$as_me: error: Conflicting options, --with-gtk is incompatible with --with-x-toolkit=${with_x_toolkit}" >&2;} |
10951 { (exit 1); exit 1; }; }; | 11017 { (exit 1); exit 1; }; }; |
10952 fi | 11018 fi |
11003 | 11069 |
11004 | 11070 |
11005 fi | 11071 fi |
11006 | 11072 |
11007 if test "$PKG_CONFIG" = "no" ; then | 11073 if test "$PKG_CONFIG" = "no" ; then |
11008 { { echo "$as_me:$LINENO: error: | 11074 pkg_check_gtk=no |
11009 *** The pkg-config script could not be found. Make sure it is in your path, or give the full path to pkg-config with the PKG_CONFIG environment variable or --with-pkg-config-prog. Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." >&5 | |
11010 echo "$as_me: error: | |
11011 *** The pkg-config script could not be found. Make sure it is in your path, or give the full path to pkg-config with the PKG_CONFIG environment variable or --with-pkg-config-prog. Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config." >&2;} | |
11012 { (exit 1); exit 1; }; } | |
11013 else | 11075 else |
11014 PKG_CONFIG_MIN_VERSION=0.9.0 | 11076 PKG_CONFIG_MIN_VERSION=0.9.0 |
11015 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then | 11077 if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then |
11016 { echo "$as_me:$LINENO: checking for $GTK_MODULES" >&5 | 11078 { echo "$as_me:$LINENO: checking for $GTK_MODULES" >&5 |
11017 echo $ECHO_N "checking for $GTK_MODULES... $ECHO_C" >&6; } | 11079 echo $ECHO_N "checking for $GTK_MODULES... $ECHO_C" >&6; } |
11038 GTK_CFLAGS="" | 11100 GTK_CFLAGS="" |
11039 GTK_LIBS="" | 11101 GTK_LIBS="" |
11040 ## If we have a custom action on failure, don't print errors, but | 11102 ## If we have a custom action on failure, don't print errors, but |
11041 ## do set a variable so people can do so. | 11103 ## do set a variable so people can do so. |
11042 GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$GTK_MODULES"` | 11104 GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$GTK_MODULES"` |
11043 echo $GTK_PKG_ERRORS | 11105 |
11044 fi | 11106 fi |
11045 | 11107 |
11046 | 11108 |
11047 | 11109 |
11048 else | 11110 else |
11050 echo "*** See http://www.freedesktop.org/software/pkgconfig" | 11112 echo "*** See http://www.freedesktop.org/software/pkgconfig" |
11051 fi | 11113 fi |
11052 fi | 11114 fi |
11053 | 11115 |
11054 if test $succeeded = yes; then | 11116 if test $succeeded = yes; then |
11055 : | 11117 pkg_check_gtk=yes |
11056 else | 11118 else |
11057 { { echo "$as_me:$LINENO: error: Library requirements ($GTK_MODULES) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&5 | 11119 pkg_check_gtk=no |
11058 echo "$as_me: error: Library requirements ($GTK_MODULES) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." >&2;} | 11120 fi |
11121 | |
11122 if test "$pkg_check_gtk" = "no" && test "$USE_X_TOOLKIT" != "maybe"; then | |
11123 { { echo "$as_me:$LINENO: error: $GTK_PKG_ERRORS" >&5 | |
11124 echo "$as_me: error: $GTK_PKG_ERRORS" >&2;} | |
11059 { (exit 1); exit 1; }; } | 11125 { (exit 1); exit 1; }; } |
11060 fi | 11126 fi |
11127 fi | |
11128 | |
11129 | |
11130 if test x"$pkg_check_gtk" = xyes; then | |
11061 | 11131 |
11062 | 11132 |
11063 | 11133 |
11064 C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" | 11134 C_SWITCH_X_SITE="$C_SWITCH_X_SITE $GTK_CFLAGS" |
11065 CFLAGS="$CFLAGS $GTK_CFLAGS" | 11135 CFLAGS="$CFLAGS $GTK_CFLAGS" |
11158 GTK_COMPILES=yes | 11228 GTK_COMPILES=yes |
11159 fi | 11229 fi |
11160 done | 11230 done |
11161 | 11231 |
11162 if test "${GTK_COMPILES}" != "yes"; then | 11232 if test "${GTK_COMPILES}" != "yes"; then |
11163 { { echo "$as_me:$LINENO: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&5 | 11233 if test "$USE_X_TOOLKIT" != "maybe"; then |
11234 { { echo "$as_me:$LINENO: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&5 | |
11164 echo "$as_me: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&2;} | 11235 echo "$as_me: error: Gtk+ wanted, but it does not compile, see config.log. Maybe some x11-devel files missing?" >&2;} |
11165 { (exit 1); exit 1; }; }; | 11236 { (exit 1); exit 1; }; }; |
11166 fi | 11237 fi |
11167 | 11238 else |
11168 HAVE_GTK=yes | 11239 HAVE_GTK=yes |
11169 | 11240 |
11170 cat >>confdefs.h <<\_ACEOF | 11241 cat >>confdefs.h <<\_ACEOF |
11171 #define HAVE_GTK 1 | 11242 #define HAVE_GTK 1 |
11172 _ACEOF | 11243 _ACEOF |
11173 | 11244 |
11174 USE_X_TOOLKIT=none | 11245 USE_X_TOOLKIT=none |
11246 fi | |
11247 | |
11248 fi | |
11249 | |
11250 | |
11251 if test "${HAVE_GTK}" = "yes"; then | |
11175 | 11252 |
11176 if test "$with_toolkit_scroll_bars" != no; then | 11253 if test "$with_toolkit_scroll_bars" != no; then |
11177 with_toolkit_scroll_bars=yes | 11254 with_toolkit_scroll_bars=yes |
11178 fi | 11255 fi |
11179 | 11256 |